#
# spec file for package gnlibs (Version 0.20)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  imlib gtk mico gettext libgif libjpeg libtiff libnetpb libpng libz xpm autoconf automake

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         gnlibs
Release:      5
Copyright:    1998, The Gnome Project
Group: 
Provides:     gnome-libs 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.20
Summary:      GNOME Base package (Libs)
Source: gnome-libs-0.20.tar.gz
Patch: gnome-libs-0.20.dif
%description
GNOME is a desktop environment. GNOME itself has no specific window
manager. Many GNOME users like WindowMaker or Icewm as window manager
for GNOME (see those packages).
GNOME is started in S.u.S.E. Linux like a window manager:
startx gnome
or 
export WINDOWMANAGER=gnome
This package contains the basic GNOME libraries.
Documentation: 
GNOME online help
/usr/doc/packages/gnome 

Authors:
--------
    Carsten Schaar <nhadcasc@fs-maphy.uni-hannover.de>
    Eckehard Berns <eb@berns.prima.de>
    Federico Mena Quintero <federico@nuclecu.unam.mx>
    George Lebl <jirka@5z.com>
    Gregory McLean <gregm@comstar.net>
    Havoc Pennington <hp@pobox.com>
    Horacio J. Pea <horape@compendium.com.ar>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    Maciej Stachowiak <mstachow@mit.edu>
    Marc Ewing <marc@redhat.com>
    Mark Galassi <rosalia@nis.lanl.gov>
    Michael Fulbright <msf@redhat.com>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Nathan Summers <rock@gimp.org>
    Owen Taylor <owt1@cornell.edu>
    Raja R Harinath <harinath@cs.umn.edu>
    Szekeres Istvn <szekeres@cyberspace.mht.bme.hu>
    Tom Tromey <tromey@cygnus.com>
    Tristan Tarrant <ttarrant@etnoteam.it>

%prep
%setup -n gnome-libs-0.20
%patch 
%build
autoconf
./configure \
    --prefix=/opt/gnome \
    --datadir=/opt/gnome/share \
    --localstatedir=/var
make -j 4
%install
DOCDIR=/usr/doc/packages/gnome/libs
DOC="ABOUT-NLS AUTHORS COPYING COPYING.LIB ChangeLog HACKING INSTALL NEWS README"
make -j 4 install
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}
(
    cd /opt/gnome/lib
    rm -f libgnome.so 		   && ln -s libgnome.so.0.0.0 libgnome.so
    rm -f libgnome.so.0 	   && ln -s libgnome.so.0.0.0 libgnome.so.0
    rm -f libgnome.so.0.0 	   && ln -s libgnome.so.0.0.0 libgnome.so.0.0
    rm -f libgnomesupport.so 	   && ln -s libgnomesupport.so.0.0.0 libgnomesupport.so
    rm -f libgnomesupport.so.0 	   && ln -s libgnomesupport.so.0.0.0 libgnomesupport.so.0
    rm -f libgnomesupport.so.0.0   && ln -s libgnomesupport.so.0.0.0 libgnomesupport.so.0.0
    rm -f libgnomeui.so 	   && ln -s libgnomeui.so.0.0.0 libgnomeui.so
    rm -f libgnomeui.so.0 	   && ln -s libgnomeui.so.0.0.0 libgnomeui.so.0
    rm -f libgnomeui.so.0.0 	   && ln -s libgnomeui.so.0.0.0 libgnomeui.so.0.0
    rm -f libgtktty.so 		   && ln -s libgtktty.so.0.0.4 libgtktty.so
    rm -f libgtktty.so.0 	   && ln -s libgtktty.so.0.0.4 libgtktty.so.0
    rm -f libgtktty.so.0.0 	   && ln -s libgtktty.so.0.0.4 libgtktty.so.0.0
    rm -f libgtkxmhtml.so 	   && ln -s libgtkxmhtml.so.0.0.0 libgtkxmhtml.so
    rm -f libgtkxmhtml.so.0 	   && ln -s libgtkxmhtml.so.0.0.0 libgtkxmhtml.so.0
    rm -f libgtkxmhtml.so.0.0 	   && ln -s libgtkxmhtml.so.0.0.0 libgtkxmhtml.so.0.0
    rm -f libzvt.so 		   && ln -s libzvt.so.0.0.0 libzvt.so
    rm -f libzvt.so.0 		   && ln -s libzvt.so.0.0.0 libzvt.so.0
    rm -f libzvt.so.0.0 	   && ln -s libzvt.so.0.0.0 libzvt.so.0.0
)
(
    cd /opt/gnome/share
    rm -f doc && ln -sf /usr/doc/packages/gnome doc
)
Check
%files
%dir /opt/gnome
%dir /opt/gnome/include/gtk-xmhtml
%dir /opt/gnome/include/gtktty
%dir /opt/gnome/include/libgnome
%dir /opt/gnome/include/libgnomeui
%dir /opt/gnome/include/zvt
%dir /opt/gnome/lib/gnome-libs
%dir /opt/gnome/lib/gnome-libs/include
%dir /opt/gnome/share
%dir /opt/gnome/share/locale
%dir /opt/gnome/share/locale/de/LC_MESSAGES
%dir /opt/gnome/share/locale/es/LC_MESSAGES
%dir /opt/gnome/share/locale/fr/LC_MESSAGES
%dir /opt/gnome/share/locale/ga/LC_MESSAGES
%dir /opt/gnome/share/locale/it/LC_MESSAGES
%dir /opt/gnome/share/locale/ko/LC_MESSAGES
%dir /opt/gnome/share/locale/no/LC_MESSAGES
%dir /opt/gnome/share/pixmaps
#%dir /opt/gnome/share/gnome
%docdir /usr/doc/packages/gnome/libs
%docdir /opt/gnome/share/doc
%doc /usr/doc/packages/gnome/libs/ABOUT-NLS
%doc /usr/doc/packages/gnome/libs/AUTHORS
%doc /usr/doc/packages/gnome/libs/COPYING
%doc /usr/doc/packages/gnome/libs/COPYING.LIB
%doc /usr/doc/packages/gnome/libs/ChangeLog
%doc /usr/doc/packages/gnome/libs/HACKING
%doc /usr/doc/packages/gnome/libs/INSTALL
%doc /usr/doc/packages/gnome/libs/NEWS
%doc /usr/doc/packages/gnome/libs/README
/opt/gnome/bin/dns-helper
/opt/gnome/bin/gnome_segv
/opt/gnome/bin/htmltest
/opt/gnome/include/gnome.h
/opt/gnome/include/gtk-xmhtml/HTML.h
/opt/gnome/include/gtk-xmhtml/XmHTML.h
/opt/gnome/include/gtk-xmhtml/XmHTMLI.h
/opt/gnome/include/gtk-xmhtml/XmHTMLP.h
/opt/gnome/include/gtk-xmhtml/gtk-xmhtml-p.h
/opt/gnome/include/gtk-xmhtml/gtk-xmhtml.h
/opt/gnome/include/gtk-xmhtml/miniparse.h
/opt/gnome/include/gtk-xmhtml/toolkit.h
/opt/gnome/include/gtktty/gtkled.h
/opt/gnome/include/gtktty/gtkterm.h
/opt/gnome/include/gtktty/gtktty.h
/opt/gnome/include/gtktty/gtkvtemu.h
/opt/gnome/include/gtktty/libgtktty.h
/opt/gnome/include/libgnome/gnome-config.h
/opt/gnome/include/libgnome/gnome-defs.h
/opt/gnome/include/libgnome/gnome-dentry.h
/opt/gnome/include/libgnome/gnome-dl.h
/opt/gnome/include/libgnome/gnome-exec.h
/opt/gnome/include/libgnome/gnome-fileconvert.h
/opt/gnome/include/libgnome/gnome-help.h
/opt/gnome/include/libgnome/gnome-history.h
/opt/gnome/include/libgnome/gnome-hook.h
/opt/gnome/include/libgnome/gnome-i18n.h
/opt/gnome/include/libgnome/gnome-mime.h
/opt/gnome/include/libgnome/gnome-parse.h
/opt/gnome/include/libgnome/gnome-score.h
/opt/gnome/include/libgnome/gnome-string.h
/opt/gnome/include/libgnome/gnome-triggers.h
/opt/gnome/include/libgnome/gnome-util.h
/opt/gnome/include/libgnome/libgnome.h
/opt/gnome/include/libgnomeui/gnome-about.h
/opt/gnome/include/libgnomeui/gnome-actionarea.h
/opt/gnome/include/libgnomeui/gnome-app-helper.h
/opt/gnome/include/libgnomeui/gnome-app.h
/opt/gnome/include/libgnomeui/gnome-calculator.h
/opt/gnome/include/libgnomeui/gnome-client.h
/opt/gnome/include/libgnomeui/gnome-color-selector.h
/opt/gnome/include/libgnomeui/gnome-dateedit.h
/opt/gnome/include/libgnomeui/gnome-dialog-util.h
/opt/gnome/include/libgnomeui/gnome-dialog.h
/opt/gnome/include/libgnomeui/gnome-dns.h
/opt/gnome/include/libgnomeui/gnome-entry.h
/opt/gnome/include/libgnomeui/gnome-file-entry.h
/opt/gnome/include/libgnomeui/gnome-font-selector.h
/opt/gnome/include/libgnomeui/gnome-geometry.h
/opt/gnome/include/libgnomeui/gnome-ice.h
/opt/gnome/include/libgnomeui/gnome-icon-list.h
/opt/gnome/include/libgnomeui/gnome-lamp.h
/opt/gnome/include/libgnomeui/gnome-less.h
/opt/gnome/include/libgnomeui/gnome-messagebox.h
/opt/gnome/include/libgnomeui/gnome-net.h
/opt/gnome/include/libgnomeui/gnome-pixmap.h
/opt/gnome/include/libgnomeui/gnome-preferences.h
/opt/gnome/include/libgnomeui/gnome-properties.h
/opt/gnome/include/libgnomeui/gnome-propertybox.h
/opt/gnome/include/libgnomeui/gnome-rootwin.h
/opt/gnome/include/libgnomeui/gnome-scores.h
/opt/gnome/include/libgnomeui/gnome-startup.h
/opt/gnome/include/libgnomeui/gnome-stock.h
/opt/gnome/include/libgnomeui/gnome-types.h
/opt/gnome/include/libgnomeui/gnome-uidefs.h
/opt/gnome/include/libgnomeui/gtk-clock.h
/opt/gnome/include/libgnomeui/gtk-plug.h
/opt/gnome/include/libgnomeui/gtk-socket.h
/opt/gnome/include/libgnomeui/gtk-ted.h
/opt/gnome/include/libgnomeui/gtkcalendar.h
/opt/gnome/include/libgnomeui/gtkdial.h
/opt/gnome/include/libgnomeui/gtkspell.h
/opt/gnome/include/libgnomeui/libgnomeui.h
/opt/gnome/include/zvt/lists.h
/opt/gnome/include/zvt/subshell.h
/opt/gnome/include/zvt/vt.h
/opt/gnome/include/zvt/vtx.h
/opt/gnome/include/zvt/zvtterm.h
/opt/gnome/lib/gnome-libs/include/argp.h
/opt/gnome/lib/gnome-libs/include/getopt.h
/opt/gnome/lib/gnome-libs/include/gnome-argp.h
/opt/gnome/lib/gnome-libs/include/gnomesupport.h
/opt/gnome/lib/gnome-libs/include/long-options.h
/opt/gnome/lib/gnomeConf.sh
/opt/gnome/lib/libgnome.a
/opt/gnome/lib/libgnome.la
/opt/gnome/lib/libgnome.so
/opt/gnome/lib/libgnome.so.0
/opt/gnome/lib/libgnome.so.0.0
/opt/gnome/lib/libgnome.so.0.0.0
/opt/gnome/lib/libgnomesupport.a
/opt/gnome/lib/libgnomesupport.la
/opt/gnome/lib/libgnomesupport.so
/opt/gnome/lib/libgnomesupport.so.0
/opt/gnome/lib/libgnomesupport.so.0.0
/opt/gnome/lib/libgnomesupport.so.0.0.0
/opt/gnome/lib/libgnomeui.a
/opt/gnome/lib/libgnomeui.la
/opt/gnome/lib/libgnomeui.so
/opt/gnome/lib/libgnomeui.so.0
/opt/gnome/lib/libgnomeui.so.0.0
/opt/gnome/lib/libgnomeui.so.0.0.0
/opt/gnome/lib/libgtktty.la
/opt/gnome/lib/libgtktty.so
/opt/gnome/lib/libgtktty.so.0
/opt/gnome/lib/libgtktty.so.0.0
/opt/gnome/lib/libgtktty.so.0.0.4
/opt/gnome/lib/libgtkxmhtml.a
/opt/gnome/lib/libgtkxmhtml.la
/opt/gnome/lib/libgtkxmhtml.so
/opt/gnome/lib/libgtkxmhtml.so.0
/opt/gnome/lib/libgtkxmhtml.so.0.0
/opt/gnome/lib/libgtkxmhtml.so.0.0.0
/opt/gnome/lib/libzvt.a
/opt/gnome/lib/libzvt.la
/opt/gnome/lib/libzvt.so
/opt/gnome/lib/libzvt.so.0
/opt/gnome/lib/libzvt.so.0.0
/opt/gnome/lib/libzvt.so.0.0.0
/opt/gnome/share/locale/cs/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/locale/de/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/locale/es/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/locale/fi/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/locale/fr/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/locale/ga/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/locale/it/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/locale/ko/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/locale/no/LC_MESSAGES/gnome-libs.mo
/opt/gnome/share/gtkrc
/opt/gnome/share/pixmaps/calculator-font.xpm

